.map__div-icon{
  border:none;
}

.map__marker-icon--main {
  position: relative;
}

.city-map__marker-icon--marker {
  width: 24px;
  height: 24px;
  background: #32B857;
  border-radius: 50% 50% 50% 0;
  transform: rotate(-45deg);
  position: absolute;
  bottom: 0;
}

.city-map__marker-icon--point {
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background: white;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}

.country-map__marker-icon--marker {
  width: 48px;
  height: 48px;
  background: #32B857;
  border-radius: 50% 50% 50% 0;
  transform: rotate(-45deg);
  position: absolute;
  bottom: 0;
}

.country-map__marker-icon--point {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background: white;
  position: absolute;
  left: 50%;
  top: 50%;
  transform-origin: center center;
  transform: translate(-50%, -50%) rotate(45deg);
  background-size: cover;
}

.country-map__marker-icon--city-count {
  color: white;
  font-size: 24px;
  text-shadow: -2px 0 black, 0 2px black, 2px 0 black, 0 -2px black;
  position: absolute;
  left: 50%;
  top: 50%;
  transform-origin: center center;
  transform: translate(-50%, -50%);
}

.marker-title {
  position: absolute;
  white-space: nowrap;
  top: -24px;
  font-size: 14px;
  background: #32B857;
  color: white;
  padding: 8px 16px;
  border-radius: 8px;
  opacity: 0;
  transition: opacity 300ms;
  z-index: 2000;
}

.country-map__marker-icon--marker:hover .marker-title {
  opacity: 1;
}

.city-map__marker-icon--marker .marker-title {
  transform: rotate(45deg);
}
.city-map__marker-icon--marker:hover .marker-title {
  opacity: 1;
}

.country-map__marker-icon--marker {
  width: 48px;
  height: 48px;
  background: #32B857;
  border-radius: 50% 50% 50% 0;
  transform: rotate(-45deg);
  position: absolute;
  bottom: 0;
}

.country-map__marker-icon--point {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background: white;
  position: absolute;
  left: 50%;
  top: 50%;
  transform-origin: center center;
  transform: translate(-50%, -50%) rotate(45deg);
  background-size: cover;
}

.country-map__marker-icon--city-count {
  color: white;
  font-size: 24px;
  text-shadow: -2px 0 black, 0 2px black, 2px 0 black, 0 -2px black;
  position: absolute;
  left: 50%;
  top: 50%;
  transform-origin: center center;
  transform: translate(-50%, -50%);
}
